/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.util;

import java.io.Serializable;

import org.dive4elements.river.model.River;

/**
 * Contains similar data as {@link River}, but is used in instead to avoid keeping database objects.
 *
 * @author Gernot Belger
 */
public class RiverInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    private final String name;

    private final String wstUnit;

    public RiverInfo(final River river) {
        this.name = river.getName();
        this.wstUnit = river.getWstUnit().getName();
    }

    public String getName() {
        return this.name;
    }

    public String getWstUnit() {
        return this.wstUnit;
    }
}